Bug 200960 - [MAINTAINER-UPDATE] dns/knot: update to 1.6.4
Summary: [MAINTAINER-UPDATE] dns/knot: update to 1.6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-18 23:29 UTC by Leo Vandewoestijne
Modified: 2015-06-25 09:46 UTC (History)
0 users

See Also:


Attachments
knot update (1.92 KB, patch)
2015-06-18 23:29 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
portlint -AC output (195 bytes, text/plain)
2015-06-18 23:30 UTC, Leo Vandewoestijne
no flags Details
poudriere 9.3 (185.05 KB, text/plain)
2015-06-18 23:32 UTC, Leo Vandewoestijne
no flags Details
poudriere 10.1 (196.79 KB, text/plain)
2015-06-18 23:33 UTC, Leo Vandewoestijne
no flags Details
knot update to 1.6.4 (3.27 KB, patch)
2015-06-23 17:38 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2015-06-18 23:29:33 UTC
Created attachment 157870 [details]
knot update

NIC.CZ released a new version of Knot. Only improvements and fixes, nothing critical.
Comment 1 Leo Vandewoestijne 2015-06-18 23:30:48 UTC
Created attachment 157871 [details]
portlint -AC output
Comment 2 Leo Vandewoestijne 2015-06-18 23:32:48 UTC
Created attachment 157872 [details]
poudriere 9.3
Comment 3 Leo Vandewoestijne 2015-06-18 23:33:23 UTC
Created attachment 157873 [details]
poudriere 10.1
Comment 4 Dmitry Marakasov freebsd_committer 2015-06-23 16:10:52 UTC
===>  Applying FreeBSD patches for knot-1.6.4
Ignoring previously applied (or reversed) patch.
3 out of 3 hunks ignored--saving rejects to src/libknot/dnssec/crypto.c.rej
=> Patch patch-src_libknot_dnssec_crypto.c failed to apply cleanly.

I guess your patch is missing some patch removals.
Comment 5 Leo Vandewoestijne 2015-06-23 17:38:32 UTC
Created attachment 158021 [details]
knot update to 1.6.4

Correct, the last line of my diff says:

Only in /usr/ports.old/dns/knot/files: patch-src_libknot_dnssec_crypto.c

So that's the part I intended to remove. I guess I better should have used `diff -ruN` (in stead of `diff -ru`). So by these.
Comment 6 commit-hook freebsd_committer 2015-06-25 09:46:05 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jun 25 09:46:01 UTC 2015
New revision: 390545
URL: https://svnweb.freebsd.org/changeset/ports/390545

Log:
  - Update to 1.6.4

  PR:		200960
  Submitted by:	freebsd@dns-lab.com (maintainer)

Changes:
  head/dns/knot/Makefile
  head/dns/knot/distinfo
  head/dns/knot/files/patch-src_libknot_dnssec_crypto.c